summaryrefslogtreecommitdiffstats
path: root/tests/common/mount.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/common/mount.sh')
-rw-r--r--tests/common/mount.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/tests/common/mount.sh b/tests/common/mount.sh
index f077ea2..3f3ed38 100644
--- a/tests/common/mount.sh
+++ b/tests/common/mount.sh
@@ -3,11 +3,10 @@ test "$UNAME" = "Darwin" && skip
clean_scratch
mkdir scratch/{foo,mnt}
+
sudo mount -t tmpfs tmpfs scratch/mnt
+trap "sudo umount scratch/mnt" EXIT
+
"$XTOUCH" scratch/foo/bar scratch/mnt/baz
bfs_diff scratch -mount
-ret=$?
-
-sudo umount scratch/mnt
-return $ret